DtMmdbGraphicGetInfo(library call)

NAME
DtMmdbGraphicGetInfo — obtains information about a graphic object

SYNOPSIS

#include &<DtMmdb.h>
DtMmdbGraphicInfo* DtMmdbGraphicGetInfo(
DtMmdbInfoRequest* request);

DESCRIPTION

The DtMmdbGraphicGetInfo function returns a structure containing the information about a graphic object. Use the DtMmdbFreeGraphicInfo function to release the memory when the structure is no longer needed. Table lookup is involved because the graphic identifier is specified by the locator_ptr field.

ARGUMENTS

request
    Specifies the bookcase in the bookcase descriptor field and the identifier of the graphic object in the locator_ptr field.

RETURN VALUE

If DtMmdbGraphicGetInfo completes successfully, it returns a pointer to the graphic information structure. If it fails, it returns a NULL pointer.

EXAMPLE

The following shows how a DtMmdbGraphicGetInfo call might be coded.

DtMmdbInfoRequest request;
/* fill the request */
DtMmdbGraphicGetInfo(&&request);

SEE ALSO

DtMmdbFreeGraphicInfo(3)